# $Revision: 1.6 $, $Date: 2008/01/31 12:16:08 $
%include	/usr/lib/rpm/macros.php
%define		_class		JSON
%define		_status		stable
%define		_pearname	%{_class}
Summary:	%{_pearname} - Simple encoder and decoder for JSON notation
Summary(pl.UTF-8):	%{_pearname} - prosty koder i dekoder dla notacji JSON
Name:		php-pear-%{_pearname}
Version:	0.1
Release:	2
License:	BSD
Group:		Development/Languages/PHP
Source0:	http://mike.teczno.com/JSON.tar.gz
# Source0-md5:	fc2cec5a87fe3d70ecbe0857f30eac94
URL:		http://pear.php.net/pepr/pepr-proposal-show.php?id=198
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package provides a simple encoder and decoder for JSON notation.
It is intended for use with client-side Javascript applications that
make use of HTTPRequest to perform server communication functions -
data can be encoded into JSON notation for use in a client-side
Javascript, or decoded from incoming Javascript requests. JSON format
is native to Javascript, and can be directly eval()'ed with no further
parsing overhead.

%description -l pl.UTF-8
Ten pakiet udostępnia prosty koder i dekoder dla notacji JSON. Jest
przeznaczony do używania z aplikacjami w Javascripcie po stronie
klienta korzystającymi z HTTPRequest do komunikacji z serwerem - dane
mogą być kodowane w notacji JSON do używania z poziomu Javascriptu po
stronie klienta lub dekodowane z przychodzących żądań Javascriptu.
Format JSON jest natywny dla Javascriptu i może być bezpośrednio
wykonany przez eval() bez dalszego przetwarzania.

%package tests
Summary:	Tests for PEAR::%{_pearname}
Summary(pl.UTF-8):	Testy dla PEAR::%{_pearname}
Group:		Development/Languages/PHP
Requires:	%{name} = %{version}-%{release}
AutoReq:	no
AutoProv:	no

%description tests
Tests for PEAR::%{_pearname}.

%description tests -l pl.UTF-8
Testy dla PEAR::%{_pearname}.

%prep
%setup -qc

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}/tests
install JSON.php $RPM_BUILD_ROOT%{php_pear_dir}
install Test-JSON.php $RPM_BUILD_ROOT%{php_pear_dir}/tests

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc doc/*
%{php_pear_dir}/JSON.php

%files tests
%defattr(644,root,root,755)
%{php_pear_dir}/tests/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-JSON.spec,v $
Revision 1.6  2008/01/31 12:16:08  glen
- rel 2

Revision 1.5  2008-01-31 10:49:05  glen
- integer release

Revision 1.4  2007-02-13 08:06:39  glen
- tabs in preamble

Revision 1.3  2007/02/12 01:06:23  baggins
- converted to UTF-8

Revision 1.2  2006/08/20 12:57:25  qboosh
- pl

Revision 1.1  2006/07/31 14:26:49  glen
- new
